import request from '@/utils/request'



//查询继续教育列表
export function getJxjy(){
	return request({
		url:"/jxjy/Training/personTrainingList"
	})
}



//查询用户报名的继续教育课程列表
export function getClassList(data){
	return request({
		url:"/system/Class/curriculumList",
		params:data
	})
}


//保存用户观看记录
export function saveRecord(data){
	return request({
		url:"/system/ClassVideo/recordVideo",
		data:data,
		method:"post"
	})
}


//查询试卷详情
export function getSjContent(id){
	return request({
		url:"/system/PaperInfo/rencaiPaper?personId="+id, 
	})
}


//提交考试结果
export function submitDaan(data){
	return request({
		url:"/system/PaperInfo/submitRencaiPaper",
		data:data,
		method:"post"
	})
}


//查询考试记录
export function getKsList(data){
	return request({
		url:"/system/PaperInfo/paperReancaiList",
		params:data
	})
}


//查询考过的试卷详情
export function getFinishSjInfo(id){
	return request({
		url:"/system/PaperInfo/rencaiPaperInfo?UserScoreID="+id
	})
}